package cn.ey.biz.module.system.api.permission.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * code block的数据权限 Response DTO
 */
@Data
public class CodeBlockDataPermissionRespDTO {

    /**
     * 是否可查看全部数据
     */
    private Boolean all;
    /**
     * 是否可查看自己的数据
     */
    private Boolean self;

    private List<CodeBlockConfigDataRespDTO> config;

    private Set<String> codeBlocks;

    private List<DataRoleWithCodeBlockDTO> dataRoleWithCodeBlock;

    public CodeBlockDataPermissionRespDTO() {
        this.all = false;
        this.self = false;
        this.config = new ArrayList<>();
        this.codeBlocks = new HashSet<>();
        this.dataRoleWithCodeBlock = new ArrayList<>();
    }

}
